Use KonbiniAPI from ChatGPT, Claude, Cursor, Zapier, and other AI agents and automation tools — no code needed. See all integrations →
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17890000000000001/",
"entityId": "highlight:17890000000000001",
"totalItems": 42,
"orderedItems": [
{
"type": "Video",
"entityId": "3214260996432123580",
"url": "https://www.instagram.com/stories/highlights/18067016518767507/",
"published": "2026-02-27T18:36:42.000Z",
"summary": "Photo by Khabane Lame on March 13, 2026.",
"isSponsored": false,
"image": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg",
"width": 1080,
"height": 1920
},
"attachment": [
{
"type": "Video",
"url": [
"https://scontent.cdninstagram.com/v/t50.2886-16/video.mp4"
],
"mediaType": "video/mp4",
"width": 576,
"height": 1024
}
],
"duration": 23,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/khaby00/",
"url": "https://www.instagram.com/khaby00/",
"entityId": "779085683",
"preferredUsername": "khaby00",
"name": "Khabane Lame",
"icon": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
},
"role": "collaborator"
}
}
],
"name": "Best of 2025",
"image": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
}
}
}Returns all story items within a highlight reel, including images and videos. The highlight ID comes from the highlights list endpoint.
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17890000000000001/",
"entityId": "highlight:17890000000000001",
"totalItems": 42,
"orderedItems": [
{
"type": "Video",
"entityId": "3214260996432123580",
"url": "https://www.instagram.com/stories/highlights/18067016518767507/",
"published": "2026-02-27T18:36:42.000Z",
"summary": "Photo by Khabane Lame on March 13, 2026.",
"isSponsored": false,
"image": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg",
"width": 1080,
"height": 1920
},
"attachment": [
{
"type": "Video",
"url": [
"https://scontent.cdninstagram.com/v/t50.2886-16/video.mp4"
],
"mediaType": "video/mp4",
"width": 576,
"height": 1024
}
],
"duration": 23,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/khaby00/",
"url": "https://www.instagram.com/khaby00/",
"entityId": "779085683",
"preferredUsername": "khaby00",
"name": "Khabane Lame",
"icon": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
},
"role": "collaborator"
}
}
],
"name": "Best of 2025",
"image": {
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
}
}
}Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Instagram highlight ID
"17986596002776443"
Returns the highlight with all story items
Show child attributes